Update the current user's profile details
PATCH
/v1/users/me
const url = 'https://api.adversarial.com/api/v1/users/me';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"email":"example","first_name":"example","icon":"example","last_name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.adversarial.com/api/v1/users/me \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "first_name": "example", "icon": "example", "last_name": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
email
string | null
first_name
string | null
icon
string | null
last_name
string | null
Examplegenerated
{ "email": "example", "first_name": "example", "icon": "example", "last_name": "example"}Responses
Section titled “Responses”Update the current user’s profile details
Media typeapplication/json
object
status
required
string
Examplegenerated
{ "status": "example"}